## skladnik 0.5.1

=== themes/CMakeLists.txt ===
install( FILES
    skladnik_classic.svg
    skladnik_classic.desktop
    #skladnik_classic_preview.png
    DESTINATION  ${KDE_INSTALL_DATADIR}/skladnik/themes
)

function(install_classic_sprite_image)
    cmake_parse_arguments(ARGS "" "SOURCE_DIR;NAMESPACE" "IMAGES" ${ARGN})

    foreach(image ${ARGS_IMAGES})
        install(FILES "${ARGS_SOURCE_DIR}/${image}"
            RENAME "${ARGS_NAMESPACE}${image}"
            DESTINATION  ${KDE_INSTALL_DATADIR}/skladnik/themes
        )
    endforeach()
endfunction()

install_classic_sprite_image(
    NAMESPACE "skladnik_classic_"
    SOURCE_DIR "${CMAKE_SOURCE_DIR}/src/images"
    IMAGES
        goal.png
        man.png
        object.png
        saveman.png
        treasure.png
        halfstone_1.png
        halfstone_2.png
        halfstone_3.png
        halfstone_4.png
        stone_1.png
        stone_2.png
        stone_3.png
        stone_4.png
        stone_5.png
        stone_6.png
        starfield.png
)

=== debian/changelog ===
skladnik (0.5.1-3) unstable; urgency=low

  * Change description to include touchscreens
  * Team maintained, add myself as uploader
  * Add Vcs-Browser and Vcs-Git fields to control

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 15 May 2024 07:35:18 +0200

skladnik (0.5.1-2) unstable; urgency=low

  * Fix typo in manpage
  * Manpage is forwarded upstream
  * Patched to make it playable on touchscreens
  * Add copyright information of .po files

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 10 Apr 2024 19:11:38 +0200

skladnik (0.5.1-1) unstable; urgency=low

  * Initial release. (Closes: #1067183)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 20 Mar 2024 16:45:30 +0100

=== debian/control ===
Source: skladnik
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 extra-cmake-modules,
 qtbase5-dev,
 libkf5xmlgui-dev,
 libkf5kio-dev,
 libkf5kdegames-dev,
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Priority: optional
Section: games
Homepage: https://apps.kde.org/it/skladnik/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skladnik
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/skladnik.git

Package: skladnik
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Japanese warehouse keeper sokoban game
 The game is the classic puzzle sokoban game, with many levels.
 .
 The player must move crystals in mazes, but can only push them, never pull.
 .
 It is playable with mouse, keyboard or touchscreen.

## skladnik 0.5.2

=== debian/changelog ===
skladnik (0.5.2-1) experimental; urgency=low

  * New upstream version

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 24 Sep 2024 16:32:17 +0200

skladnik (0.5.1-4) unstable; urgency=low

  * Patch to add toolbar, to play on touchscreens

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 23 Aug 2024 14:56:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,16 @@
  debhelper-compat (= 13),
  cmake,
  extra-cmake-modules,
- qtbase5-dev,
- libkf5xmlgui-dev,
- libkf5kio-dev,
- libkf5kdegames-dev,
+ libkf6coreaddons-dev,
+ libkf6crash-dev,
+ libkf6config-dev,
+ libkf6configwidgets-dev,
+ libkf6xmlgui-dev,
+ libkf6widgetsaddons-dev,
+ libkf6dbusaddons-dev,
+ libkf6i18n-dev,
+ libkf6kio-dev,
+ libkdegames6-dev,
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
 Standards-Version: 4.6.2

## skladnik 24.12.0

=== debian/changelog ===
skladnik (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:26:40 +0000

skladnik (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:17:28 +0000

skladnik (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * Drop included patches.
  * debian/control: Order entries per Debian Qt/KDE normal conventions.
  * Update watch and upstream signing key for KDE Gear release.

 -- Rik Mills <rikmills@kde.org>  Thu, 28 Nov 2024 09:20:27 +0000

=== debian/control ===
Source: skladnik
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libkdegames6-dev (>= 4:24.12.0~),
               libkf6config-dev,
               libkf6configwidgets-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6dbusaddons-dev,
               libkf6i18n-dev,
               libkf6kio-dev,
               libkf6widgetsaddons-dev,
               libkf6xmlgui-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/it/skladnik/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skladnik
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skladnik

Package: skladnik
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Japanese warehouse keeper sokoban game
 The game is the classic puzzle sokoban game, with many levels.
 .
 The player must move crystals in mazes, but can only push them, never pull.
 .
 It is playable with mouse, keyboard or touchscreen.

## skladnik 24.12.1

=== debian/changelog ===
skladnik (24.12.1-0ubuntu2) plucky; urgency=medium

  * Build with dh-sequence-kf6.

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jan 2025 10:08:13 +0000

skladnik (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:41:53 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               dh-sequence-kf6,
                extra-cmake-modules,
-               libkdegames6-dev (>= 4:24.12.0~),
+               libkdegames6-dev (>= 4:24.12.1~),
                libkf6config-dev,
                libkf6configwidgets-dev,
                libkf6coreaddons-dev,

## skladnik 24.12.3

=== debian/changelog ===
skladnik (24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Drop patches.
    - debian/control: Order entries per Debian Qt/KDE normal conventions.
    - Build with dh-sequence-kf6

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 13:15:17 +0000

skladnik (24.12.3-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:34:39 +0100

skladnik (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:52:12 +0000

skladnik (24.12.2-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 28 Feb 2025 18:28:37 +0100

skladnik (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:24:59 +0000

skladnik (24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 15 Jan 2025 17:22:38 +0100

skladnik (24.12.0-2) unstable; urgency=medium

  * Set the english homepage url (Closes: #1082708)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 28 Dec 2024 14:32:58 +0100

skladnik (24.12.0-1) unstable; urgency=medium

  * New upstream release
  * Fix d/watch
  * Remove upstreamed patch
  * Update the toolbar patch
  * Update the mouse release patch

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 23 Dec 2024 10:26:37 +0100

skladnik (0.5.2-2) unstable; urgency=medium

  * Upload from experimental to unstable
  * Keep the patches from unstable

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 20 Dec 2024 21:49:11 +0100

skladnik (0.5.1-5) unstable; urgency=medium

  * Patch to fix the wrong movement when ending a drag action

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 19 Dec 2024 07:48:58 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules,
-               libkdegames6-dev (>= 4:24.12.1~),
+               libkdegames6-dev (>= 4:24.12.3~),
                libkf6config-dev,
                libkf6configwidgets-dev,
                libkf6coreaddons-dev,
@@ -18,9 +18,9 @@
                libkf6kio-dev,
                libkf6widgetsaddons-dev,
                libkf6xmlgui-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://apps.kde.org/it/skladnik/
+Homepage: https://apps.kde.org/skladnik/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skladnik
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skladnik

## skladnik 25.04.0

=== debian/changelog ===
skladnik (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:06:59 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules,
-               libkdegames6-dev (>= 4:24.12.3~),
+               libkdegames6-dev (>= 4:25.04.0~),
                libkf6config-dev,
                libkf6configwidgets-dev,
                libkf6coreaddons-dev,

## skladnik 25.04.1

=== debian/changelog ===
skladnik (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:20:33 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules,
-               libkdegames6-dev (>= 4:25.04.0~),
+               libkdegames6-dev (>= 4:25.04.1~),
                libkf6config-dev,
                libkf6configwidgets-dev,
                libkf6coreaddons-dev,

## skladnik 25.04.2

=== debian/changelog ===
skladnik (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:04:50 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules,
-               libkdegames6-dev (>= 4:25.04.1~),
+               libkdegames6-dev (>= 4:25.04.2~),
                libkf6config-dev,
                libkf6configwidgets-dev,
                libkf6coreaddons-dev,

## skladnik 25.04.3

=== debian/changelog ===
skladnik (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:58:56 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules,
-               libkdegames6-dev (>= 4:25.04.2~),
+               libkdegames6-dev (>= 4:25.04.3~),
                libkf6config-dev,
                libkf6configwidgets-dev,
                libkf6coreaddons-dev,

## skladnik 25.07.80

=== debian/changelog ===
skladnik (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:29:31 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules,
-               libkdegames6-dev (>= 4:25.04.3~),
+               libkdegames6-dev (>= 4:25.07.80~),
                libkf6config-dev,
                libkf6configwidgets-dev,
                libkf6coreaddons-dev,

## skladnik 25.07.90

=== debian/changelog ===
skladnik (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:04:32 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules,
-               libkdegames6-dev (>= 4:25.07.80~),
+               libkdegames6-dev (>= 4:25.07.90~),
                libkf6config-dev,
                libkf6configwidgets-dev,
                libkf6coreaddons-dev,

## skladnik 25.08.0

=== debian/changelog ===
skladnik (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 12:01:52 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules,
-               libkdegames6-dev (>= 4:25.07.90~),
+               libkdegames6-dev (>= 4:25.08.0~),
                libkf6config-dev,
                libkf6configwidgets-dev,
                libkf6coreaddons-dev,

## skladnik 25.08.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "1")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump SKLADNIK_BASE_VERSION once new features are added
set(SKLADNIK_BASE_VERSION "0.5")
set(SKLADNIK_VERSION "${SKLADNIK_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(skladnik VERSION ${SKLADNIK_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMDeprecationSettings)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    Widgets
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    I18n
    KIO
    WidgetsAddons
    XmlGui
)

find_package(KF6DocTools ${KF_MIN_VERSION})

find_package(KDEGames6 6.0.0 REQUIRED)

ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 6.0
    KDEGAMES 6.0
)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(themes)
if(KF6DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
skladnik (25.08.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 03 Oct 2025 14:31:45 +0200

skladnik (25.04.0-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 25 Apr 2025 22:27:27 +0200

skladnik (25.04.0-1) unstable; urgency=medium

  * New upstream release
  * Remove upstreamed patch

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 20 Apr 2025 12:22:14 +0200

=== debian/control ===
Source: skladnik
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               libkdegames6-dev (>= 4:6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               qt6-base-dev (>= 6.5.0~),
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Priority: optional
Section: games
Homepage: https://apps.kde.org/skladnik/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skladnik
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/skladnik.git

Package: skladnik
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Japanese warehouse keeper sokoban game
 The game is the classic puzzle sokoban game, with many levels.
 .
 The player must move crystals in mazes, but can only push them, never pull.
 .
 It is playable with mouse, keyboard or touchscreen.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/skladnik/usr/games
	mv debian/skladnik/usr/bin/skladnik debian/skladnik/usr/games
	rmdir debian/skladnik/usr/bin

## skladnik 25.08.2

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR skladnik)
kdoctools_create_manpage(man-skladnik.6.docbook 6 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== debian/changelog ===
skladnik (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:59:55 +0100

skladnik (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:14:45 +0100

=== debian/control ===
Source: skladnik
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules,
               libkdegames6-dev (>= 4:25.08.2~),
               libkf6config-dev,
               libkf6configwidgets-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6dbusaddons-dev,
               libkf6i18n-dev,
               libkf6kio-dev,
               libkf6widgetsaddons-dev,
               libkf6xmlgui-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/skladnik/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skladnik
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skladnik

Package: skladnik
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Japanese warehouse keeper sokoban game
 The game is the classic puzzle sokoban game, with many levels.
 .
 The player must move crystals in mazes, but can only push them, never pull.
 .
 It is playable with mouse, keyboard or touchscreen.

## skladnik 25.08.2+p24.04+vstable+git20251011.2332

=== debian/changelog ===
skladnik (25.08.2+p24.04+vstable+git20251011.2332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 23:32:03 +0000

skladnik (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:29:39 +0000

skladnik (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 12:03:42 +0000

skladnik (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:24:52 +0000

skladnik (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:58:06 +0000

skladnik (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:50:39 +0000

skladnik (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:14:32 +0000

skladnik (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:41:35 +0000

skladnik (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:14:43 +0000

skladnik (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:29:14 +0000

skladnik (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:38:00 +0000

skladnik (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:15:09 +0000

skladnik (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:40:08 +0000

skladnik (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 23:04:42 +0000

skladnik (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:36:50 +0000

skladnik (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Jul 2024 04:43:08 +0000

skladnik (24.05.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Jun 2024 04:43:41 +0000

skladnik (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Mar 2024 04:43:07 +0000

skladnik (0.5.1-0neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Sat, 06 Jan 2024 00:16:20 +1000

=== debian/control ===
Source: skladnik
Section: games
Priority: optional
Uploaders: KDE Neon <neon@kde.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               libkdegames6-dev,
               pkg-kde-tools-neon,
               povray,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://games.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/skladnik.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/skladnik
Maintainer: Neon CI <neon@kde.org>

Package: skladnik
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: KDE sokoban game
 Skladnik is the Japanese warehouse keeper sokoban game
 .
 This package is part of the KDE games module.

## skladnik 25.08.2+p24.04+vstable+git20251019.0450

=== debian/changelog ===
skladnik (25.08.2+p24.04+vstable+git20251019.0450-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 04:50:10 +0000

## skladnik 25.08.2+p24.04+vstable+git20251031.1104

=== debian/changelog ===
skladnik (25.08.2+p24.04+vstable+git20251031.1104-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 11:04:42 +0000

## skladnik 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump SKLADNIK_BASE_VERSION once new features are added

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Friedrich W. H. Kossebau <kossebau@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(images)

ecm_setup_version(${skladnik_VERSION}
    VARIABLE_PREFIX SKLADNIK
    VERSION_HEADER version.h
)

add_executable(skladnik
    Bookmark.cpp
    LevelMap.cpp
    Map.cpp
    Move.cpp
    PlayField.cpp
    PlayFieldView.cpp
    History.cpp
    InternalCollections.cpp
    main.cpp
    MoveSequence.cpp
    HtmlPrinter.cpp
    LevelCollection.cpp
    MainWindow.cpp
    PathFinder.cpp
    StoneIndex.cpp
    GroundItem.cpp
    SimpleTextItem.cpp

    skladnik.qrc
)

target_link_libraries(skladnik
    KDEGames6
    KF6::I18n
    KF6::WidgetsAddons
    KF6::Crash
    KF6::DBusAddons
    KF6::XmlGui
    KF6::KIOCore
)

install(TARGETS skladnik ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES org.kde.skladnik.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.skladnik.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
skladnik (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:30:38 +0000

=== debian/control ===
Source: skladnik
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules,
               libkdegames6-dev (>= 4:25.08.3~),
               libkf6config-dev,
               libkf6configwidgets-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6dbusaddons-dev,
               libkf6i18n-dev,
               libkf6kio-dev,
               libkf6widgetsaddons-dev,
               libkf6xmlgui-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/skladnik/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skladnik
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skladnik

Package: skladnik
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Japanese warehouse keeper sokoban game
 The game is the classic puzzle sokoban game, with many levels.
 .
 The player must move crystals in mazes, but can only push them, never pull.
 .
 It is playable with mouse, keyboard or touchscreen.

## skladnik 25.08.3+p24.04+vstable+git20251204.0808

=== debian/changelog ===
skladnik (25.08.3+p24.04+vstable+git20251204.0808-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 08:08:48 +0000

skladnik (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:32:41 +1000

## skladnik 25.08.3+p24.04+vunstable+git20251204.0607

=== debian/changelog ===
skladnik (25.08.3+p24.04+vunstable+git20251204.0607-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 06:07:48 +0000

## skladnik 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump SKLADNIK_BASE_VERSION once new features are added

=== debian/changelog ===
skladnik (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:04:33 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules,
-               libkdegames6-dev (>= 4:25.08.3~),
+               libkdegames6-dev (>= 4:25.11.80~),
                libkf6config-dev,
                libkf6configwidgets-dev,
                libkf6coreaddons-dev,

## skladnik 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump SKLADNIK_BASE_VERSION once new features are added

=== debian/changelog ===
skladnik (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:19:16 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules,
-               libkdegames6-dev (>= 4:25.11.80~),
+               libkdegames6-dev (>= 4:25.11.90~),
                libkf6config-dev,
                libkf6configwidgets-dev,
                libkf6coreaddons-dev,

## skladnik 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump SKLADNIK_BASE_VERSION once new features are added

=== debian/changelog ===
skladnik (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:39:31 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules,
-               libkdegames6-dev (>= 4:25.11.90~),
+               libkdegames6-dev (>= 4:25.12.0~),
                libkf6config-dev,
                libkf6configwidgets-dev,
                libkf6coreaddons-dev,

## skladnik 25.12.0+p24.04+vstable+git20251208.1021

=== debian/changelog ===
skladnik (25.12.0+p24.04+vstable+git20251208.1021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 10:21:49 +0000

skladnik (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:28:23 +1000

## skladnik 25.12.0+p24.04+vstable+git20251218.0302

=== debian/changelog ===
skladnik (25.12.0+p24.04+vstable+git20251218.0302-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 18 Dec 2025 03:02:39 +0000

## skladnik 25.12.0+p24.04+vstable+git20251222.0449

=== debian/changelog ===
skladnik (25.12.0+p24.04+vstable+git20251222.0449-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 04:49:32 +0000

## skladnik 25.12.0+p24.04+vstable+git20260104.0105

=== debian/changelog ===
skladnik (25.12.0+p24.04+vstable+git20260104.0105-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 01:05:37 +0000

## skladnik 25.12.0+p24.04+vunstable+git20251208.1021

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump SKLADNIK_BASE_VERSION once new features are added

=== debian/changelog ===
skladnik (25.12.0+p24.04+vunstable+git20251208.1021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 10:21:46 +0000

## skladnik 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump SKLADNIK_BASE_VERSION once new features are added

=== debian/changelog ===
skladnik (25.12.1-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:15:11 +0000

skladnik (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - debian/control: Order entries per Debian Qt/KDE normal conventions.
    - Build with dh-sequence-kf6
    - Add debian/.gitattributes for changelog merge driver.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jan 2026 09:45:07 +0000

skladnik (25.12.1-1) unstable; urgency=medium

  * New upstream release
  * Remove upstreamed patch
  * Remove Rules-Requires-Root
  * Remove priority optional

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 18 Jan 2026 13:35:33 +0100

skladnik (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:19:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: skladnik
 Section: games
-Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
@@ -8,7 +7,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules,
-               libkdegames6-dev (>= 4:25.12.0~),
+               libkdegames6-dev (>= 4:25.12.1~),
                libkf6config-dev,
                libkf6configwidgets-dev,
                libkf6coreaddons-dev,
@@ -19,7 +18,6 @@
                libkf6widgetsaddons-dev,
                libkf6xmlgui-dev,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://apps.kde.org/skladnik/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skladnik
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skladnik

## skladnik 25.12.1+p24.04+vstable+git20260128.1335

=== debian/changelog ===
skladnik (25.12.1+p24.04+vstable+git20260128.1335-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 13:35:20 +0000

skladnik (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:16:38 +1000

## skladnik 25.12.1+p24.04+vstable+git20260131.0400

=== debian/changelog ===
skladnik (25.12.1+p24.04+vstable+git20260131.0400-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 04:00:48 +0000

## skladnik 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump SKLADNIK_BASE_VERSION once new features are added

=== debian/changelog ===
skladnik (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:33:31 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules,
-               libkdegames6-dev (>= 4:25.12.1~),
+               libkdegames6-dev (>= 4:25.12.2~),
                libkf6config-dev,
                libkf6configwidgets-dev,
                libkf6coreaddons-dev,
